CMSIS-Driver: USBD Device Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USBD Device Events
USB Device Interface

The USB Device driver generates Device call back events that are notified via the function ARM_USBD_SignalDeviceEvent. More...

## Macros

#define | ARM_USBD_EVENT_VBUS_ON (1UL << 0)
| USB Device VBUS On. More...
#define | ARM_USBD_EVENT_VBUS_OFF (1UL << 1)
| USB Device VBUS Off. More...
#define | ARM_USBD_EVENT_RESET (1UL << 2)
| USB Reset occurred. More...
#define | ARM_USBD_EVENT_HIGH_SPEED (1UL << 3)
| USB switch to High Speed occurred. More...
#define | ARM_USBD_EVENT_SUSPEND (1UL << 4)
| USB Suspend occurred. More...
#define | ARM_USBD_EVENT_RESUME (1UL << 5)
| USB Resume occurred. More...

## Description

The USB Device driver generates Device call back events that are notified via the function ARM_USBD_SignalDeviceEvent.

This section provides the event values for the ARM_USBD_SignalDeviceEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_USBD_EVENT_VBUS_ON (1UL << 0)

USB Device VBUS On.

#define ARM_USBD_EVENT_VBUS_OFF (1UL << 1)

USB Device VBUS Off.

#define ARM_USBD_EVENT_RESET (1UL << 2)

USB Reset occurred.

#define ARM_USBD_EVENT_HIGH_SPEED (1UL << 3)

USB switch to High Speed occurred.

#define ARM_USBD_EVENT_SUSPEND (1UL << 4)

USB Suspend occurred.

#define ARM_USBD_EVENT_RESUME (1UL << 5)

USB Resume occurred.